Bug 168238 - microcode_ctl not installed on x86 system
microcode_ctl not installed on x86 system
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: comps (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-13 15:37 EDT by Florin Andrei
Modified: 2013-01-09 20:19 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-20 13:38:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florin Andrei 2005-09-13 15:37:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050909 Fedora/1.0.6-1.2.fc4 Firefox/1.0.6

Description of problem:
I've a system that's using the x86 architecture:

########################################################
# cat /proc/cpuinfo
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 8
model name      : Pentium III (Coppermine)
stepping        : 1
cpu MHz         : 736.458
cache size      : 256 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 mmx fxsr sse
bogomips        : 1441.79

processor       : 1
vendor_id       : GenuineIntel
cpu family      : 6
model           : 8
model name      : Pentium III (Coppermine)
stepping        : 1
cpu MHz         : 736.458
cache size      : 256 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 mmx fxsr sse
bogomips        : 1466.36
######################################################

I installed FC4 on this machine, however microcode_ctl was not installed automatically, I had to install it manually.

Version-Release number of selected component (if applicable):
microcode_ctl-1.11-1.21

How reproducible:
Didn't try

Steps to Reproduce:
1. Install FC4 on x86 machine
2.
3.
  

Actual Results:  microcode_ctl is not installed

Expected Results:  microcode_ctl must be installed

Additional info:

Perhaps this is actually an Anaconda bug?
Comment 1 Florin Andrei 2005-09-13 16:00:09 EDT
Even so, microcode_ctl complains about non-existent /dev/cpu/microcode
To fix that, I had to create the executable file named
/etc/sysconfig/modules/microcode.modules with the following content:

#!/bin/sh
/sbin/modprobe microcode

After that microcode_ctl works fine when booting up.
Comment 2 Dave Jones 2005-09-14 01:32:06 EDT
The first bug would be the comps.xml package that defines whether things get
installed or not.

The second bug should be fixed in the latest errata.
Comment 3 Jesse Keating 2006-04-20 13:38:07 EDT
FC6 will have microcode_ctl as a default of the Base group that can be opted out of.

Note You need to log in before you can comment on or make changes to this bug.